%define momorel 1

%define __libtoolize :
Summary: The Cyrus SASL library.
Name: cyrus-sasl
Version: 2.1.18
Release: %{momorel}m
License: BSD
Group: System Environment/Libraries
Source: ftp://ftp.andrew.cmu.edu/pub/cyrus-mail/cyrus-sasl-%{version}.tar.gz
Patch0: cyrus-sasl-2.1.7-gdbm.patch
Patch1: cyrus-sasl-2.1.10-des.patch
URL: http://asg.web.cmu.edu/sasl/sasl-library.html
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: openssl-devel >= 0.9.6
BuildPrereq: pam-devel
BuildPrereq: gdbm-devel >= 1.8.0
BuildPreReq: autoconf >= 2.52-8k, automake >= 1.5-8k
Requires: pam
Requires: openssl
Requires: gdbm
NoSource: 0

%description
The cyrus-sasl package contains the Cyrus SASL implementation.  SASL is the
Simple Authentication and Security Layer, a method for adding authentication
support to connection-based protocols.

%package devel
Requires: cyrus-sasl = %{PACKAGE_VERSION}
Group: Development/Libraries
Summary: Files needed for developing applications with Cyrus SASL.

%description devel
The %{name}-devel package contains files needed for developing and
compiling applications which use the Cyrus SASL library.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
# FIXME - this is just weird
#rm config/ltconfig config/libtool.m4
#libtoolize -f -c
aclocal-1.7 -I config -I cmulocal
#automake -a -c -f
automake-1.7 -a -c --include-deps
#autoheader
#autoconf -f

%build
CFLAGS="$RPM_OPT_FLAGS -fPIC"; export CFLAGS
%configure \
	--program-transform-name="s,^,," \
	--enable-static \
	--disable-java \
	--with-plugindir=%{_libdir}/sasl2 \
	--disable-krb4 \
	--disable-gssapi \
	--with-rc4 \
	--with-dblib=gdbm \
	--with-saslauthd=/var/run/saslauthd --without-pwcheck \
	--with-ldap \
	--with-devrandom=/dev/urandom \
	--enable-anon \
	--enable-cram \
	--enable-digest \
	--enable-plain \
	--enable-login \
	--disable-otp \
	--disable-sql

%make

%install
rm -rf %{buildroot}
%{makeinstall}

# remove, no cat dir.
rm -f %{buildroot}%{_mandir}/cat8/*

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README doc/*.html doc/*.txt
%{_libdir}/libsasl*.so.*
%dir %{_libdir}/sasl2/
%{_libdir}/sasl2/*anonymous*.so*
%{_libdir}/sasl2/*crammd5*.so*
%{_libdir}/sasl2/*digestmd5*.so*
%{_libdir}/sasl2/*login*.so*
%{_libdir}/sasl2/*plain*.so*
%{_libdir}/sasl2/*sasldb*.so*
%{_mandir}/man8/*
%{_sbindir}/saslpasswd2
%{_sbindir}/sasldblistusers2
%{_sbindir}/saslauthd

%files devel
%defattr(-,root,root)
%{_includedir}/sasl/*.h
%{_libdir}/libsasl*.*a
%{_libdir}/libsasl*.*so
%{_libdir}/sasl2/*anonymous*.*a
%{_libdir}/sasl2/*crammd5*.*a
%{_libdir}/sasl2/*digestmd5*.*a
%{_libdir}/sasl2/*login*.*a
%{_libdir}/sasl2/*plain*.*a
%{_libdir}/sasl2/*sasldb*.*a
%{_mandir}/man3/*

%changelog
* Sat May 15 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (2.1.18-1m)
- verup

* Thu Mar 18 2004 Toru Hoshina <t@momonga-linux.org>
- (2.1.15-6m)
- No cat dir anymore.

* Sun Mar 14 2004 Toru Hoshina <t@momonga-linux.org>
- (2.1.15-5m)
- revised spec for enabling rpm 4.2.

* Mon Dec 22 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.1.15-4m)
- accept gdbm-1.8.0 or newer

* Mon Nov 10 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (2.1.15-3m)
- rebuild against gdbm-1.8.0

* Sat Oct 04 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.1.15-2m)
- change License: to BSD

* Thu Jul 17 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.1.15-1m)
  update to 2.1.15

* Tue Jul  1 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.1.14-1m)
  update to 2.1.14
  
* Thu Jun 12 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.1.13-1m)
  update to 2.1.13

* Wed Mar  5 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.5.28-7m)
  rebuild against openssl 0.9.7a

* Mon Feb 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.5.28-6m)
- rebuild against for gdbm

* Fri Feb  7 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.5.28-5m)
  rebuild against libgdbm

* Mon Dec  2 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.5.28-4m)
- add ipv6 patch

* Sat Nov  9 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.5.28-3m)
- rebuild against gcc-3.2 with autoconf-2.53

* Sun Sep 15 2002 HOSONO Hidetomo <h@h12o.org>
- (1.5.28-2m)
- delete "NoSource: 0", because old tarballs disappear :-(

* Sun Sep 15 2002 HOSONO Hidetomo <h@h12o.org>
- (1.5.28-1m)
- version up
- delete cyrus-sasl-1.5.21-des.patch for Patch0

* Thu May 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (1.5.27-10k)
- cancel gcc-3.1 autoconf-2.53

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (1.5.27-8k)
- omit /sbin/ldconfig in PreReq.

* Mon Feb 25 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.5.27-6k)
- libtool version miss match.

* Wed Feb 20 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>    
- (1.5.27-4k)                      
- add BuildPreReq: autoconf >= 2.52-8k, automake >= 1.5-8k

* Wed Feb 13 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.5.27-2k)
- update to 1.5.27

* Tue Dec 04 2001 Toshiro HIKITA <toshi@sodan.org>
- (1.5.24-14k)
- add syslog.patch for possible format-string vulnerability
  bug #326 in the CMU bugzilla bug tracker 
  (http://bugzilla.andrew.cmu.edu/show_bug.cgi?id=326)
  patched from cyrus-sasl-1.5.24-23 of RedHat
- add rpath.patch from RedHat

* Fri Nov  2 2001 Nalin Dahyabhai <nalin@redhat.com> 1.5.24-23
- patch to fix possible syslog format-string vulnerability 

* Fri Nov 02 2001 Motonobu Ichimura <famao@kondara.org>
- (1.5.24-12k)
- add --enable-static

* Tue Oct 30 2001 Motonobu Ichimura <famao@kondara.org>
- (1.5.24-10k)
- add BuildPrereq and Requires

* Mon Oct 29 2001 Motonobu Ichimura <famao@kondara.org>
- (1.5.24-8k)
- rebuild against libtool-fixed gdbm
- modify spec file

* Sat Sep  1 2001 Toru Hoshina <t@kondara.org>
- 1.5.24-6k)
- rebuild against libtool 1.4.

* Sat Apr 14 2001 Toru Hoshina <toru@df-usa.com>
- (1.5.24-4k)
- rebuild against openssl 0.9.6.

* Tue Nov 07 2000 Toshiro HIKITA <toshi@sodan.org>
- (1.5.24-3k)
- Merged from 1.5.24-11 of Redhat.
- Change Copyright to License.

* Wed Oct 25 2000 Toshiro HIKITA <toshi@sodan.org>
- (1.5.24-1k)
- import from 1.5.24-6 of Redhat.
- Kondarized.

* Wed Oct 25 2000 Nalin Dahyabhai <nalin@redhat.com>
- make sure the version of 1.5.24 in the package matches the master (#18968)
- re-merge -devel and main for an errata candidate

* Mon Oct  9 2000 Nalin Dahyabhai <nalin@redhat.com>
- re-add the libsasl.so symlink to the -devel package (oops)

* Fri Oct  6 2000 Nalin Dahyabhai <nalin@redhat.com>
- move .so files for modules to their respective packages -- they're not -devel
  links meant for use by ld anyway

* Thu Oct  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- split off -devel subpackage

* Wed Aug 16 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix the summary text

* Sun Aug 13 2000 Nalin Dahyabhai <nalin@redhat.com>
- re-enable arcfour and CRAM

* Fri Aug  4 2000 Nalin Dahyabhai <nalin@redhat.com>
- force use of gdbm for database files to avoid DB migration weirdness
- enable login mechanism
- disable gssapi until it can coexist peacefully with non-gssapi setups
- actually do a make in the build section (#15410)

* Fri Jul 21 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.5.24

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment (release 3)

* Mon Jun 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- don't muck with syslogd in post
- remove patch for db-3.0 wackiness, no longer needed

* Thu Jun  8 2000 Nalin Dahyabhai <nalin@redhat.com>
- FHS cleanup
- don't strip anything by default

* Fri Feb 11 2000 Tim Powers <timp@redhat.com>
- fixed man pages not being gzipped

* Tue Nov 16 1999 Tim Powers <timp@redhat.com>
- incorporated changes from Mads Kiilerich
- release number is 1, not mk1

* Tue Nov 10 1999 Mads Kiilerich <mads@kiilerich.com>
- updated to sasl 1.5.11
- configure --disable-krb4 --without-rc4 --disable-cram 
  because of missing libraries and pine having cram as default...
- handle changing libsasl.so versions

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Fri Aug 13 1999 Tim Powers <timp@redhat.com>
- first build for Powertools
